<?php
/**
 * SellerStatusEnum
 *
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\BuClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi. BU. Продавцы
 *
 * Управление продавцами
 *
 * The version of the OpenAPI document: 1.0.0
 * Contact: mail@greensight.ru
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

namespace Ensi\BuClient\Dto;
use \Ensi\BuClient\ObjectSerializer;

/**
 * SellerStatusEnum Class Doc Comment
 *
 * @category Class
 * @description Статус продавца. Расшифровка значений:   * &#x60;1&#x60; - Продавец недооформлен, не дозаполнил информацию   * &#x60;2&#x60; - Продавец активен   * &#x60;3&#x60; - Продавец заблокирован
 * @package  Ensi\BuClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class SellerStatusEnum
{
    /**
     * Possible values of this enum
     */
    const CREATED = 1;
    const ACTIVATE = 2;
    const LOCKED = 3;
    
    /**
     * Gets allowable values of the enum
     * @return string[]
     */
    public static function getAllowableEnumValues(): array
    {
        return [
            self::CREATED,
            self::ACTIVATE,
            self::LOCKED,
        ];
    }
}


